<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1KeyboardEvent.html">KeyboardEvent</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">gg::KeyboardEvent Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classgg_1_1KeyboardEvent.html">gg::KeyboardEvent</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1KeyboardEvent.html#a95443182d3146abfb2549ee1d9bdd72c">GetEventType</a>() const -&gt; EventType override=0</td><td class="entry"><a class="el" href="classgg_1_1KeyboardEvent.html">gg::KeyboardEvent</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">pure virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1KeyboardEvent.html#abc64d61158c025aa2e940ddaecf04876">GetKeycode</a>() -&gt; sf::Keyboard::Key</td><td class="entry"><a class="el" href="classgg_1_1KeyboardEvent.html">gg::KeyboardEvent</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1IEvent.html#a0ce169bdd9bd94235a58670a6e9d81cd">IEvent</a>()=default</td><td class="entry"><a class="el" href="classgg_1_1IEvent.html">gg::IEvent</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1KeyboardEvent.html#a2dd18280ee3e99347875156d4aa8a600">KeyboardEvent</a>()</td><td class="entry"><a class="el" href="classgg_1_1KeyboardEvent.html">gg::KeyboardEvent</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1KeyboardEvent.html#a0a50fcf8c135a015551d375b4865f71c">KeycodeToString</a>() -&gt; char</td><td class="entry"><a class="el" href="classgg_1_1KeyboardEvent.html">gg::KeyboardEvent</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1KeyboardEvent.html#ada0379b2c75fed648eada3923788b035">mKeycode</a></td><td class="entry"><a class="el" href="classgg_1_1KeyboardEvent.html">gg::KeyboardEvent</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1KeyboardEvent.html#a5963a3b82f5bd8c2fca8156297f15725">mKeycodeString</a></td><td class="entry"><a class="el" href="classgg_1_1KeyboardEvent.html">gg::KeyboardEvent</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1KeyboardEvent.html#a81e1418e6e8554e9cedf580bd7b2b5ac">to_string</a>() -&gt; std::string=0</td><td class="entry"><a class="el" href="classgg_1_1KeyboardEvent.html">gg::KeyboardEvent</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1IEvent.html#acbf64dbf915a0e0d66bce214266f8ac4">~IEvent</a>()=default</td><td class="entry"><a class="el" href="classgg_1_1IEvent.html">gg::IEvent</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1KeyboardEvent.html#acbc54be23fd27c01ab5f6ce6c558f85d">~KeyboardEvent</a>() override=default</td><td class="entry"><a class="el" href="classgg_1_1KeyboardEvent.html">gg::KeyboardEvent</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
